import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 行业
@Entity('sector')
export class Sector extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '标题' })
  title: string;
  @Column({ type: 'character varying', nullable: true, comment: '路由' })
  href: string;
  @Column({ type: 'jsonb', nullable: true, comment: '背景图', default: [] })
  file: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '合作伙伴', default: [] })
  partner: Array<any>;
  @Column({ type: 'integer', nullable: true, comment: '排序' })
  sort: number;
  @Column({ type: 'character varying', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
}
